Subject: [saag] TLS Meeting summary for IETF 102

From: Joseph Salowey <[email-masked]>
Date: Thu, 19 Jul 2018 11:54:12 -0400

TLS is meeting in two sessions this IETF on Monday afternoon and Thursday
Evening.  TLS 1.3 is currently in Auth48.We had some presentations of TLS
1.3 deployment numbers which showed TLS 1.3 is already measurable on the
Internet.  We had discussion on deprecating TLS 1.0 and TLS 1.1, there is
support, but it will take time.  Exported authenticators needs a slight
revision and will then be ready for WGLC.  We are bringing the DNSSEC chain
extension draft back into the working group.  We had some good discussions
at the IETF this week that will hopefully pave the way forward for the
document.  Other topics discussed were DTLS connection IDs, delegated
credentials and layered exported authenticators.   On Thursday we will talk
about Encrypted SNI, Ticket Requests, certificate authentication with
external PSK, and TLS usage with PAKEs.